/****************************************************************
	Author: Claude626 (MacRumors)
	Date: 8.24.2010
	
	This file was re-written(again), optimized and consolidated for better compatibility on iPhone use...
	
	This script is the config/hook for the iPhone lockscreen.  This script's duty is to dynamically set
	the style sheet and the weather sources javascript file.  It also calculates the time for the clock
	function.
	
	Weather AJAX calls initiates from this script and pass control to the designated weather sources
	handler script file determined by the user.
*****************************************************************/

/******************************
	GLOBAL CONFIGURATIONS
*******************************/

// Set your weather source
var zipcode = "48442";
var source = "accuWeather";  //either "yahooWeather" or "accuWeather"

// Set to 'false' if you'd prefer Farenheit
var isCelsius = false; //true|false

// Stylesheet name under the css folder
var stylesheet = 'claude626'; //See above.

// iconSet is the folder name under images.
var iconSet = 'HTC'; //See above.
var iconExt = '.png'; //See above.

var updateInterval = 15; //Minutes
/******************************************************/
///////////////////////////////////////////////////////
/******************************************************/
// Attaching stylesheet
document.write('<link rel="stylesheet" href="css/'+stylesheet+'.css" type="text/css" />');
// Attaching weather source
document.write('<script type="text/javascript" src="js/'+source+'.js"></scr'+'ipt>');
// Weather source url
var url = (source == "yahooWeather")?"http://weather.yahooapis.com/forecastrss?u=f&p="+zipcode:"http://wu.apple.com/adcbin/apple/Apple_Weather_Data.asp?zipcode="+zipcode;

/**********************
	TIME + DATE
***********************/
armonth = new Array("JAN", "FEB", "MAR", "APR", "MAY", "JUN", "JUL", "AUG", "SEP", "OCT", "NOV", "DEC");
arday = new Array("SUN", "MON", "TUE", "WED", "THU", "FRI", "SAT");

todaydate=new Date();

thisday = todaydate.getDay();
thismonth = todaydate.getMonth();
thisdate = todaydate.getDate();
thisyear = todaydate.getFullYear();

function dotime(){ 
	theTime=setTimeout('dotime()',1000);
	d = new Date();
	hr = d.getHours();
	mn = d.getMinutes();
	se = d.getSeconds();
	
	if(hr<12){
		am_pm='AM';
		if(hr==0){hr=12;}
	}
	else {
		am_pm='PM';
		if(hr>21){hr=hr-12;}
		else if(hr>12){hr=(hr-12);}
	}
	
	if(mn<10){mn='0'+mn;}
	if(se<10){se='0'+se;}
	
	document.getElementById('minutebox').innerHTML = mn;
	document.getElementById('ampmbox').innerHTML = am_pm;
	//document.getElementById('secondsbox').innerHTML = se;
	document.getElementById('hourbox').innerHTML = hr;
}


/******************
	WEATHER AJAX
******************/
function init(){
	document.getElementById("weatherIcon").src="images/"+iconSet+"/"+"dunno"+iconExt;
	fetchWeatherData(url);
}

function fetchWeatherData (url){
	var xml_request = new XMLHttpRequest();
	xml_request.onload = function(e) {xml_loaded(xml_request);}
	xml_request.overrideMimeType("text/xml");
	xml_request.open("GET", url);
	xml_request.setRequestHeader("Cache-Control", "no-cache");
	xml_request.send(null);	
	
	return xml_request;
}

function findChild (element, nodeName){
	var child;
	for (child = element.firstChild; child != null; child = child.nextSibling){
		if (child.nodeName == nodeName)
			return child;
	}
	return null;
}

function convertTemp(num){
	return Math.round ((num - 32) * 5 / 9);
}

function trimWhiteSpace (string){
	return string.replace(/^\s*/, '').replace(/\s*$/, '');
}